CVE-2021-25741

NameCVE-2021-25741
DescriptionA security issue was discovered in Kubernetes where a user may be able to create a container with subpath volume mounts to access files & directories outside of the volume, including on the host filesystem.
SourceCVE (at NVD; CERT, LWN, oss-sec, fulldisc, bugtraq, EDB, Metasploit, Red Hat, Ubuntu, Gentoo, SUSE bugzilla/CVE, Mageia, GitHub code/issues, web search, more)
NVD severitymedium

Vulnerable and fixed packages

The table below lists information on source packages.

Source PackageReleaseVersionStatus
kubernetes (PTS)bullseye1.20.5+really1.20.2-1fixed
bookworm, sid1.20.5+really1.20.2-1vulnerable

The information below is based on the following data on fixed versions.

PackageTypeReleaseFixed VersionUrgencyOriginDebian Bugs
kubernetessourcebullseye(not affected)
kubernetessource(unstable)(unfixed)

Notes

[bullseye] - kubernetes <not-affected> (Kubernetes in Bullseye only ships the client)
Server components no longer built since 1.20.5+really1.20.2-1
https://github.com/kubernetes/kubernetes/issues/104980

Search for package or bug name: Reporting problems